module Character exposing (..)

type alias Character =
    { name : String
    }

type CharacterField
    = Name

changeName : Character -> String -> Character
changeName character newName =
    if ( newName == "")
    then
        character
    else
        { character | name = newName }

new : Character
new =
    { name = "Default Name" 
    }